# RPM specfile for gnome-media module
# Generated Tue Oct 29 09:38:14 2002 GMT by Ximian build system
# $Id: bb_do,v 1.190 2002/07/15 15:56:59 thunder Exp $
# from $Id: ximian-build.conf,v 1.7.2.1 2002/08/08 15:00:08 jacob Exp $

%define nam	gnome-media
%define ver	2.1.0.0.200210290744
%define ximrev	1

Name:     	gnome-media2
Version: 	2.1.0.0.200210290744
Release:	0.snap.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.2 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Source0:	gnome-media-2.1.0.tar.gz
Summary:	A set of multimedia utilities for GNOME
Group:		Applications/Multimedia
Requires:	sox
Provides:	gnome-media = %{PACKAGE_VERSION}
Provides:	ximian-gnome-media2 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	gnome-media
Prereq:	GConf2

%description
This package contains gmix, a mixer; gtcd, a CD player; and
 vumeter, a sound output monitor.

 The GNOME media utilities are part of GNOME, the complete
 user-friendly desktop based entirely on free software.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
/usr/bin/*
/usr/libexec/*
/usr/lib/bonobo/servers/*
/usr/lib/lib*.so.*
/usr/share/applications/*
/usr/share/idl/*.idl
/usr/*/locale/*/*/*
/usr/share/pixmaps/*
/usr/share/control-center-2.0/capplets/*
/usr/share/gnome/help/*
/usr/share/omf/*
%config /etc/gconf/schemas/*


%post
for schema in CDDB-Slave2 gnome-cd ; do GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftoo\l-2 --makefile-install-rule /etc/gconf/schemas/$schema.schemas ; done

%package -n gnome-media2-devel
Summary:	Development files for GNOME Media Utilities.
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}
Provides:	gnome-media-devel = %{PACKAGE_VERSION}
Provides:	ximian-gnome-media2-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	gnome-media-devel

%description -n gnome-media2-devel
This package contains the files needed to develop applicatiosn with
the cddb slave library.

%files -n gnome-media2-devel
%defattr(-, root, root)
/usr/include/*
/usr/lib/lib*.so


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-media-2.1.0
    ;;
all)
%setup  -q -n gnome-media-2.1.0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --disable-static
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Oct 29 2002 Ximian, Inc.

- Version: 2.1.0.0.200210290744-0.snap.ximian.1
- Summary: New build.
- New automated build.

